# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'Valhalla’s Docs'
copyright = '2023, Elena Grandi'
author = 'Elena “of Valhalla”'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    'sphinxcontrib.inkscapeconverter',
    'sphinxcontrib.bibtex',
]

templates_path = ['_templates']
exclude_patterns = []



# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'alabaster'
html_static_path = ['_static']

# -- Options for latex output -------------------------------------------------

latex_engine = 'xelatex'
latex_show_urls = 'footnote'
latex_toplevel_sectioning = 'part'

latex_elements = {
    'papersize': 'a5paper',
    'fontpkg': r'''
    \setmainfont{Gentium}
    \setsansfont{Gentium}
    \setmonofont{FreeMono}[Scale=0.8]
    ''',
    'sphinxsetup': r'''
    TitleColor={named}{black},
    InnerLinkColor={named}{gray},
    OuterLinkColor={named}{gray},
    hmargin={2cm,2cm},
    vmargin={2.5cm,2.5cm},
    ''',
    'fncychap': r'\usepackage[Rejne]{fncychap}',
    }

# Options for extensions

bibtex_bibfiles = [
    "bibliography/misc.bib",
]

